Summary: Serves out PPTP connections
Name: pptpd
Version: 1.0.0
Release: 4
Copyright: GPL
Group: Utilities/System
Source: pptpd.tar.gz
vendor: Matthew Ramsay http://www.moretonbay.com/vpn/pptp.html
packager: Allan's Package-O-Matic Blenderfier and Chris Wong <wongc@hoku.net>
Requires: ppp
Buildroot: /var/tmp/%{name}-root

%description
PPTPd, Point-to-Point Tunnelling Protocol Daemon, offers out connections
to pptp clients to become virtual members of the IP pool owned by the pptp
server.  In effect, these clients become virtual members of the local
subnet, regardless of what their real IP address is.  A tunnel is built
between the pptp server and client, and packets from the subnet are
wrapped and passed between server and client similar to other C/S
protocols.

%prep
%setup -n %{name}

%build
./configure --prefix=/usr
make 

%install
make install prefix=$RPM_BUILD_ROOT/usr
install -D -m 0644 samples/pptpd.conf $RPM_BUILD_ROOT/etc/pptpd.conf

%post
OUTD="" ; for i in d manager ctrl ; do
    test -x /usr/bin/pptp$i && OUTD="$OUTD /usr/bin/pptp$i" ;
done
test -z "$OUTD" || \
{ echo "possible outdated executable detected; you should do run the following command:"; echo "rm -i $OUTD" ;}

# echo "pptp:35:respawn:/usr/sbin/pptpd -f # pptpd-1.0.0-1" >> /etc/inittab
# init Q

%postun
#cat /etc/inittab > /tmp/inittab.pptpd
#grep -v "pptpd-1.0.0-1$" /tmp/inittab.pptpd > /etc/inittab
#rm -f /tmp/inittab.pptpd
#init Q



%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README* TODO html samples
/usr/sbin/pptpd
/usr/sbin/pptpctrl
/usr/man/*/pptp*
%config /etc/pptpd.conf

%changelog
* Wed Sep 22 1999 Chris Wong <wongc@hoku.net>
- Upgraded to pptpd-1.0.0.

* Tue Sep 14 1999 Chris Wong <wongc@hoku.net>
- Fixed the Version and release numbering. I hope.

* Tue Sep 14 1999 Chris Wong <wongc@hoku.net>
- Oops, I forgot to label /etc/pptpd.conf as a config file.

* Tue Sep 14 1999 Chris Wong <wongc@hoku.net>
- Wow, another version change. it's now 0.9.17. Speed of free software.

* Mon Sep 13 1999 Chris Wong <wongc@hoku.net>
- First entry in the RPM change log. Upgraded to version 0.9.16 and added
  a requires: ppp to ensure sane installation. Also ensured that it installs
  with prefix /usr.

